Status: Rejected

Priority: High

Assignee: Nitzan Matan

Category: Attribute table

Affected QGIS version:3.4.4 Regression?: No

Operating System: 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 29151

Description

I tried to display a photo with hyperlink. I set the layer Attributes From properties as follow: Widget Type: Attachment, Storage Mode:

File paths, Display button to open file dialog marked, Use hyperlink for document (read-only) marked and Integrated

Document Viewer Type: Image.

When I tried to add the hyperlink to the shapefile from the Attribute Table , the QGIS is crashing

I tried to change setting, and worked from anther PC, it still crushing.

The log data is attached in a word file, it also listed in StackExchange [[

https://gis.stackexchange.com/questions/312375/qgis-3-4-4-crashing-when-adding-hyperlink-into-the-attribute-table]]

History

#1 - 2019-02-21 02:55 PM - Nitzan Matan

LOG

2019-02-15T14:52:01     WARNING    warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-‎packages\urllib3\connectionpool.py:857:

InsecureRequestWarning: 

‎              

‎             Unverified HTTPS request is being made. Adding certificate verification is strongly advised. See:

‎https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings 

‎              

‎              

‎             traceback: File "", line 1, in  

‎              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 344, in startPlugin 

‎              plugins[packageName].initGui() 

‎              File ‎‎"C:/Users/nitza/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services‎\quick_map_services.py", line 121, in

initGui 

‎              self.init_server_panel() 

‎              File ‎‎"C:/Users/nitza/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services‎\quick_map_services.py", line 311, in

init_server_panel 

‎              self.server_toolbox = QmsServiceToolbox(self.iface) 

‎              File ‎‎"C:/Users/nitza/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services‎\qms_service_toolbox.py", line 155, in 

init

‎              self.show_news() 

‎              File ‎‎"C:/Users/nitza/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services‎\qms_service_toolbox.py", line 160, in

show_news 

‎              qms_news = client.get_news() 

‎              File

‎‎"C:/Users/nitza/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services‎\qms_external_api_python\api\api_abstract.py", line

2024-03-13 1/2

https://gis.stackexchange.com/questions/312375/qgis-3-4-4-crashing-when-adding-hyperlink-into-the-attribute-table


64, in get_news 

‎              response = get(url, verify=False) 

‎              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\api.py", line 72, in ‎get 

‎              return request('get', url, params=params, **kwargs) 

‎              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\api.py", line 58, in ‎request 

‎              return session.request(method=method, url=url, **kwargs) 

‎              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\sessions.py", line ‎‎512, in request 

‎              resp = self.send(prep, **send_kwargs) 

‎              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\sessions.py", line ‎‎622, in send 

‎              r = adapter.send(request, **kwargs) 

‎              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\adapters.py", line ‎‎445, in send 

‎              timeout=timeout 

‎              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\urllib3\connectionpool.py", ‎line 600, in urlopen 

‎              chunked=chunked) 

‎              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\urllib3\connectionpool.py", ‎line 343, in _make_request 

‎              self._validate_conn(conn) 

‎              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\urllib3\connectionpool.py", ‎line 857, in _validate_conn 

‎              InsecureRequestWarning)

#2 - 2019-02-21 03:06 PM - Alessandro Pasotti

- Resolution set to invalid

- Status changed from Open to Rejected

Looks like an issue in the QMS plugin, please report the issue to the authors of the plugin.

#3 - 2019-03-04 04:18 PM - Samuel Wechsler

I can confirm the issue (with geopackages). We are able to add a new feature and select a picture from our network. However QGIS crashes allways when

trying to edit the file path of an existing feature (via attribute table). I tried with QGIS3.4.4

#4 - 2019-03-04 06:24 PM - Giovanni Manghi

Samuel Wechsler wrote:

I can confirm the issue (with geopackages). We are able to add a new feature and select a picture from our network. However QGIS crashes

allways when trying to edit the file path of an existing feature (via attribute table). I tried with QGIS3.4.4

#21454
